configure.ac: Check for libquvi 0.9
[quvi-tool.git] / autogen.sh
blobee1e9c5bbbd5d24111e7563b48bbe53babe9af0e
1 #!/bin/sh
3 # autogen.sh for quvi
4 # Copyright (C) 2011 Toni Gundogdu
6 # This library is free software; you can redistribute it and/or
7 # modify it under the terms of the GNU Lesser General Public
8 # License as published by the Free Software Foundation; either
9 # version 2.1 of the License, or (at your option) any later version.
11 # This library is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
14 # Lesser General Public License for more details.
16 # You should have received a copy of the GNU Lesser General Public
17 # License along with this library; if not, write to the Free Software
18 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
19 # 02110-1301 USA
21 set -e
23 source=.gitignore
24 cachedir=autom4te.cache
26 gen_cmdline()
28 echo "Generate cmdline..."
29 gengetopt < src/quvi/cmdline.ggo \
30 -C --unamed-opts=URL --output-dir src/quvi --no-version || exit 1
33 gen_manual()
35 echo "Generate manual..."
36 MAN=doc/man1/quvi.1 ; POD=$MAN.pod ; VN=`./gen-ver.sh`
37 pod2man -c "quvi manual" -n quvi -s 1 -r "$VN" "$POD" "$MAN"
38 return $?
41 cleanup()
43 echo "WARNING!
44 Removes _files_ listed in $source and $cachedir directory.
45 Last chance to bail out (^C) before we continue."
46 read n1
47 [ -f Makefile ] && make distclean
48 for file in `cat $source`; do # Remove files only.
49 [ -e "$file" ] && [ -f "$file" ] && rm -f "$file"
50 done
51 [ -e "$cachedir" ] && rm -rf "$cachedir"
52 rmdir -p config.aux 2>/dev/null
53 exit 0
56 help()
58 echo "Usage: $0 [-c|-h]
59 -h Show this help and exit
60 -c Make the source tree 'maintainer clean'
61 Run without options to (re)generate the configuration files."
62 exit 0
65 while [ $# -gt 0 ]
67 case "$1" in
68 -c) cleanup;;
69 -h) help;;
70 *) break;;
71 esac
72 shift
73 done
75 mkdir -p m4
76 echo "Generate configuration files..."
77 autoreconf -if && gen_cmdline && gen_manual &&
78 echo "You can now run 'configure'"